/*
        Manual Page Editor: Preferences & Options callbacks
 */

#ifndef PREFCB_H
#define PREFCB_H

#include <gtk/gtk.h>
#include "pref.h"


extern void PrefDestroyItem(gpointer data);
extern void PrefDrawingAreaDestroyCB(GtkObject *object, gpointer data);

extern void PrefDestroyCB(GtkObject *widget, gpointer data);
extern gint PrefCloseCB(GtkWidget *widget, GdkEvent *event, gpointer data);
extern void PrefCloseMCB(GtkWidget *widget, gpointer data);
extern void PrefOKCB(GtkWidget *widget, gpointer data);
extern void PrefApplyCB(GtkWidget *widget, gpointer data);
extern void PrefSaveCB(GtkWidget *widget, gpointer data);

extern gint PrefMenuMapCB(GtkWidget *widget, GdkEvent *event, gpointer data);

extern void PrefSelectColorCB(GtkWidget *widget, gpointer data);
extern void PrefSelectFontCB(GtkWidget *widget, gpointer data);
extern void PrefBrowsePathCB(GtkWidget *widget, gpointer data);

extern void PrefCatagoryCTreeSelectCB(
        GtkCTree *ctree, GtkCTreeNode *branch, gint column, gpointer data
);
extern void PrefCatagoryCTreeUnselectCB(
        GtkCTree *ctree, GtkCTreeNode *branch, gint column, gpointer data
);
extern void PrefCatagoryCTreeExpandCB(
        GtkCTree *ctree, GtkCTreeNode *node, gpointer data
);

extern char *PrefManPageDirPromptBrowseCB(
        void *dialog, void *data, int prompt_num
);
extern void PrefManPageDirsAddCB(GtkWidget *widget, gpointer data);
extern void PrefManPageDirsEditCB(GtkWidget *widget, gpointer data);
extern void PrefManPageDirsRemoveCB(GtkWidget *widget, gpointer data);
extern void PrefManPageDirsCListSelectCB(
        GtkWidget *widget, gint row, gint column,
        GdkEventButton *event, gpointer data
);
extern void PrefManPageDirsCListUnselectCB(
        GtkWidget *widget, gint row, gint column,
        GdkEventButton *event, gpointer data
);


#endif	/* PREFCB_H */
